# 配置项目信息
server.servlet.context-path=/
server.port=8089
# 获取pom文件中project.version值
version=@project.version@
# 配置数据源
spring.profiles.active=test
# 配置时区
spring.jackson.time-zone=GMT+8
# 配置文件请求大小设置
spring.servlet.multipart.max-file-size=50MB
spring.servlet.multipart.max-request-size=50MB
# page helper分页插件配置
pagehelper.helperDialect=mysql
pagehelper.reasonable=true
pagehelper.supportMethodsArguments=true
pagehelper.params=count=countSql
# 配置日志
logging.level.com.sw=debug
logging.file.path=./logs/pmp
# ***解决swagger2.9.2版本“@ApiModelProperty”注解“example”属性不填时的报错问题
logging.level.io.swagger.models.parameters.AbstractSerializableParameter:error
# 配置请求信息
spring.session.timeout=0
server.max-http-header-size=1024000
# thymeleaf的基本配置
spring.thymeleaf.encoding=UTF-8
spring.thymeleaf.cache=false
spring.thymeleaf.mode=HTML
spring.thymeleaf.servlet.content-type=text/html
spring.thymeleaf.prefix=classpath:/view/
spring.thymeleaf.suffix=.html
############# 配置mybatis #############
# 驼峰转换
mybatis-plus.configuration.map-underscore-to-camel-case=true
# 实体类地址
mybatis-plus.typeAliasesPackage=com.sunwin.robot2ips.beans.dto
# xml文件地址
mybatis-plus.mapper-locations=classpath:/mapper/*.xml
# 接收null字段
mybatis-plus.configuration.call-setters-on-nulls=true
# 删除值
mybatis-plus.global-config.db-config.logic-delete-value=1
mybatis-plus.global-config.db-config.logic-not-delete-value=0
#服务器设备号（localhost）
com.sunwin.server.id=421aa9eF7F9fa326b6494f812ad13e79
#IPS提供机器人传输巡检结果接口地址
ips.connect.url=http://localhost:10006/api/IpsRecord/RobotRecordsResult
ips.point.fileName=IPSModule.xls
ips.query.count=5

